Bug 467361 - SELinux is preventing totem (nsplugin_t) "connectto" unconfined_dbusd_t.
SELinux is preventing totem (nsplugin_t) "connectto" unconfined_dbusd_t.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-10-16 23:55 EDT by Alex Chiang
Modified: 2008-10-27 10:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 10:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Chiang 2008-10-16 23:55:51 EDT
Summary:

SELinux is preventing totem (nsplugin_t) "connectto" unconfined_dbusd_t.

Detailed Description:

SELinux denied access requested by totem. It is not expected that this access is
required by totem and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0
                              :c0.c1023
Target Objects                002F746D702F646275732D454E6B544F68416A6653 [
                              unix_stream_socket ]
Source                        totem
Source Path                   /usr/bin/totem
Port                          <Unknown>
Host                          ethanol
Source RPM Packages           totem-2.24.2-2.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.12-2.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     ethanol
Platform                      Linux ethanol 2.6.27-13.fc10.i686 #1 SMP Wed Oct
                              15 02:06:26 EDT 2008 i686 i686
Alert Count                   153
First Seen                    Thu 16 Oct 2008 09:43:48 PM MDT
Last Seen                     Thu 16 Oct 2008 09:49:45 PM MDT
Local ID                      cdf25ba9-25ac-479e-9645-cdf62baf7638
Line Numbers                  

Raw Audit Messages            

node=ethanol type=AVC msg=audit(1224215385.911:246): avc:  denied  { connectto } for  pid=4896 comm="totem" path=002F746D702F646275732D454E6B544F68416A6653 scontext=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_dbusd_t:s0-s0:c0.c1023 tclass=unix_stream_socket

node=ethanol type=SYSCALL msg=audit(1224215385.911:246): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bfa05b50 a2=a59ff4 a3=0 items=0 ppid=4895 pid=4896 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="totem" exe="/usr/bin/totem" subj=unconfined_u:unconfined_r:nsplugin_t:s0-s0:c0.c1023 key=(null)
Comment 1 Daniel Walsh 2008-10-27 10:02:38 EDT
Dontaudited in selinux-policy-3.5.13-7.fc10

Note You need to log in before you can comment on or make changes to this bug.